# List employees

**Requires scope:** `business`.
Fetches all active employees, their labels, and their card numbers.

Endpoint: GET /api/business/v3/employees
Security: apiKey

## Security:

  - `apiKey` (unknown)
    apiKey in header Authorization scopes: business

## Query parameters:

  - `page` (integer)
    Page number of the paginated result set. The first page is `1`.

  - `includeInactive` (boolean)
    Also include inactive employees

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `_links` (object)

  - `_links.self` (object)

  - `_links.self.href` (string)
    link to current page
    Example: https://app.dyflexis.com/{systemName}/api/business/v3/employees?page=2

  - `_links.next` (object)

  - `_links.next.href` (string | null)
    link to next page
    Example: https://app.dyflexis.com/{systemName}/api/business/v3/employees?page=3

  - `_links.prev` (object)

  - `_links.prev.href` (string | null)
    link to previous page
    Example: https://app.dyflexis.com/{systemName}/api/business/v3/employees?page=1

  - `_links.first` (object)

  - `_links.first.href` (string)
    link to first page
    Example: https://app.dyflexis.com/{systemName}/api/business/v3/employees?page=1

  - `_links.last` (object)

  - `_links.last.href` (string)
    link to last page
    Example: https://app.dyflexis.com/{systemName}/api/business/v3/employees?page=100

  - `pageCount` (integer)
    number of pages
    Example: 100

  - `employees` (array)

  - `employees.employeeId` (integer)
    Internal employee id used by Dyflexis
    Example: 1

  - `employees.initials` (string | null)
    Initials
    Example: J

  - `employees.firstName` (string | null)
    First name
    Example: Maria

  - `employees.lastNamePrefix` (string | null)
    Prefix
    Example: de

  - `employees.lastName` (string | null)
    Last name
    Example: Santos

  - `employees.nameFormat` (any)
    Null when no name format is set for the employee.

  - `employees.maritalStatus` (any)
    Null when no marital status is set for the employee.

  - `employees.partnerInitials` (string | null)
    Partner initials
    Example: A

  - `employees.partnerFirstName` (string | null)
    First name of partner
    Example: Anne

  - `employees.partnerLastNamePrefix` (string | null)
    Prefix of partner
    Example: van

  - `employees.partnerLastName` (string | null)
    Last name of partner
    Example: Ferguson

  - `employees.gender` (any)
    Null when no gender is set for the employee.

  - `employees.phoneNumber` (string | null)
    Primary phone number
    Example: +31 6 12345678

  - `employees.phoneNumber2` (string | null)
    Secondary phone number
    Example: +31 20 5550100

  - `employees.email` (string | null)
    Email address
    Example: john.doe@example.com

  - `employees.employmentStart` (string | null)
    The first day of employment in ISO 8601
    Example: 2026-12-31

  - `employees.employmentEnd` (string)
    The last day of employment in ISO 8601, or the sentinel `0000-00-00` when employment is open-ended (no end date).
    Example: 0000-00-00

  - `employees.personnelNumber` (string | null)
    The personnel number as known by the connecting party
    Example: HV-014

  - `employees.costCenter` (string | null)
    Cost center for the employee
    Example: Harborview Grand Hotel

  - `employees.probationDate` (string | null)
    The probationary period end date in ISO 8601
    Example: 2026-12-31

  - `employees.employerReferenceId` (string | null)
    Unique employer reference identifier as known by the connecting party
    Example: HV-FD-014

  - `employees.labels` (array)

  - `employees.labels.id` (integer)
    Unique identifier of the label
    Example: 10

  - `employees.labels.name` (string)
    Name of the label
    Example: Label 1

  - `employees.labels.showOnSchedule` (boolean)
    true if the label should be shown on the scheduling page
    Example: true

  - `employees.labels.groupId` (integer)
    Unique identifier of the group, where the label falls into
    Example: 5

  - `employees.labels.groupName` (string)
    Name of the group, where the label falls into
    Example: Label 1

  - `employees.labels.endDate` (any)
    End date of the label for this employee

  - `employees.cardNumbers` (array)
    The card numbers associated with this employee

## Response 401:

  - `401` (unknown)
    Missing or invalid authentication.

## Response 401 fields (application/json):

  - `title` (string, required)
    Short, human-readable summary of the error.
    Example: Unauthorized

  - `status` (integer, required)
    The HTTP status code.
    Example: 401

  - `message` (string, required)
    Human-readable explanation of this occurrence of the error.
    Example: Invalid Token

  - `detail` (string)
    Human-readable explanation of this occurrence. Not returned by all backend versions.
    Example: Invalid Token

  - `code` (integer)
    The HTTP status code (duplicate of `status`). Not returned by all backend versions.
    Example: 401

## Response 403:

  - `403` (unknown)
    The token is valid but lacks the scope required for this operation.

## Response 403 fields (application/json):

  - `title` (string, required)
    Short, human-readable summary of the error.
    Example: Unauthorized

  - `status` (integer, required)
    The HTTP status code.
    Example: 401

  - `message` (string, required)
    Human-readable explanation of this occurrence of the error.
    Example: Invalid Token

  - `detail` (string)
    Human-readable explanation of this occurrence. Not returned by all backend versions.
    Example: Invalid Token

  - `code` (integer)
    The HTTP status code (duplicate of `status`). Not returned by all backend versions.
    Example: 401

## Response 404:

  - `404` (unknown)
    Invalid page

